# Vec3f File Reference

`#include <ostream>`
`#include <osg/Vec2f>`
`#include <osg/Math>`

Include dependency graph for Vec3f:

This graph shows which files directly or indirectly include this file:

## Namespaces

namespace | osg

## Defines

#define | OSG_VEC3F 1

## Functions

std::ostream & | operator<< (std::ostream &output, const Vec3f &vec)

## Variables

const Vec3f | X_AXIS (1.0, 0.0, 0.0)
const Vec3f | Y_AXIS (0.0, 1.0, 0.0)
const Vec3f | Z_AXIS (0.0, 0.0, 1.0)

## Define Documentation

#define OSG_VEC3F 1

## Function Documentation

std::ostream& operator<< | ( | std::ostream & | output,
|  | const Vec3f & | vec
| ) | `[inline]`

## Variable Documentation

const Vec3f osg::X_AXIS(1.0, 0.0, 0.0)

const Vec3f osg::Y_AXIS(0.0, 1.0, 0.0)

const Vec3f osg::Z_AXIS(0.0, 0.0, 1.0)